<?php
/*
*
* front-page
*
*/
get_header(); ?>

<section id="homepage" class="section pt-page-current" style="background-image: url(<?php echo esc_url ( get_theme_mod('iapp_homebgimage', get_template_directory_uri().'/images/homepage.jpg') ); ?>);">
    <div id="homepage-wrapper" class="section-wrapper" style="background-color: <?php echo esc_attr ( get_theme_mod('iapp_homebgcolor') ); ?>;background-color: <?php echo esc_attr ( iApp_hex2rgba ( get_theme_mod('iapp_homebgcolor'), 0.6 ) ); ?>;">
        <div class="container">
            <div class="row">
                <div class="col-sm-12 col-md-12 col-lg-12">

                    <div class="top-panel">
                        <div class="logo-holder">
                            <a class="logo-link" href="<?php echo esc_url( home_url( '/' ) ); ?>"><img class="logo-img" src="<?php echo esc_url( get_theme_mod('iapp_logo', get_template_directory_uri().'/images/logo.png') ); ?>" alt="logo"></a>
                        </div>
                    </div>
					
                    <div class="app-list">

                    <?php if ( get_theme_mod('iapp_enable_1', 1) ): ?>
                        <div class="appicon appicon-1" style="background:<?php echo esc_attr ( get_theme_mod('iapp_color_1', '#61CAFF') ); ?>; <?php echo esc_attr ( get_theme_mod('iapp_css_1', 'background: linear-gradient(215deg, rgba(255,0,255,1) , rgba(0,255,255,1) );') ); ?>">
                            <a class="appnav app-link" href="#<?php echo esc_attr ( sanitize_title(get_theme_mod('iapp_name_1', 'portfolio')) ); ?>"><img src="<?php echo esc_url( get_theme_mod('iapp_icon_1', get_template_directory_uri().'/images/app/app-portfolio.png') ) ?>" alt="appicon"><h3 class="h3 apptitle"><?php echo esc_attr ( get_theme_mod('iapp_name_1','Portfolio') ); ?></h3></a>
                        </div>
                    <?php endif; ?>

                    <?php if ( get_theme_mod('iapp_enable_2', 1) ): ?>
                        <div class="appicon appicon-2" style="background:<?php echo esc_attr ( get_theme_mod('iapp_color_2', '#0390B7') ); ?>; <?php echo esc_attr ( get_theme_mod('iapp_css_2', 'background: linear-gradient(45deg, rgba(0,59,59,1) , rgba(5,193,255,1) , rgba(0,59,59,1) );') ); ?>">
                            <a class="appnav app-link" href="#<?php echo esc_attr ( sanitize_title(get_theme_mod('iapp_name_2', 'about')) ); ?>"><img src="<?php echo esc_url( get_theme_mod('iapp_icon_2', get_template_directory_uri().'/images/app/app-about.png') ) ?>" alt="appicon"><h3 class="h3 apptitle"><?php echo esc_attr ( get_theme_mod('iapp_name_2','About') ); ?></h3></a>
                        </div>
                    <?php endif; ?>

                    <?php if ( get_theme_mod('iapp_enable_3', 1) ): ?>
                        <div class="appicon appicon-3" style="background:<?php echo esc_attr ( get_theme_mod('iapp_color_3', '#00FF2D') ); ?>; <?php echo esc_attr ( get_theme_mod('iapp_css_3', 'background: linear-gradient(45deg, rgba(0,255,0,1), rgba(0,255,255,1));') ); ?>">
                            <a class="appnav app-link" href="#<?php echo esc_attr ( sanitize_title(get_theme_mod('iapp_name_3', 'team')) ); ?>"><img src="<?php echo esc_url( get_theme_mod('iapp_icon_3', get_template_directory_uri().'/images/app/app-team.png') ) ?>" alt="appicon"><h3 class="h3 apptitle"><?php echo esc_attr ( get_theme_mod('iapp_name_3','Team') ); ?></h3></a>
                        </div>
                    <?php endif; ?>
					
                    <?php if ( get_theme_mod('iapp_enable_4', 1) ): ?>
                        <div class="appicon appicon-4" style="background:<?php echo esc_attr ( get_theme_mod('iapp_color_4', '#3470C9') ); ?>; <?php echo esc_attr ( get_theme_mod('iapp_css_4', 'background: linear-gradient(215deg, rgba(255,102,102,1) , rgba(0,255,255,1) );') ); ?>">
                            <a class="appnav app-link" href="#<?php echo esc_attr ( sanitize_title(get_theme_mod('iapp_name_4', 'blog')) ); ?>"><img src="<?php echo esc_url( get_theme_mod('iapp_icon_4', get_template_directory_uri().'/images/app/app-blog.png') ) ?>" alt="appicon"><h3 class="h3 apptitle"><?php echo esc_attr ( get_theme_mod('iapp_name_4','Blog') ); ?></h3></a>
                        </div>
                    <?php endif; ?>
					
                    </div>

                </div>
            </div>
        </div>
    </div>
</section>

<?php $iapp_default_page_content = '<h1 class="h1 section-title">' . __('Your Content Here', 'iapp') . '</h1><h3 class="h3" style="margin-top:100px;color:#00FF0D;text-align:center;">' . __('Go To Appearance -> Customize and Select a Page To Display Here.', 'iapp') . '</h3>'; ?>

<?php if ( get_theme_mod('iapp_enable_1', 1) ):
	list($iapp_outclass,$iapp_inclass) = explode( '$', get_theme_mod('iapp_transition_1', 'pt-page-rotateCubeLeftOut pt-page-ontop$pt-page-rotateCubeLeftIn') ); ?>
	<section id="<?php echo esc_attr ( sanitize_title(get_theme_mod('iapp_name_1','portfolio')) ) ?>" class="section section-1" data-outclass="<?php echo esc_attr ( $iapp_outclass ); ?>" data-inclass="<?php echo esc_attr ( ( $iapp_inclass ) ); ?>" style="background-image: url(<?php echo esc_url( get_theme_mod('iapp_pagebgimage_1', get_template_directory_uri().'/images/background.jpg') ) ?>);">
		<div id="<?php echo esc_attr ( sanitize_title(get_theme_mod('iapp_name_1','portfolio')) ) ?>-wrapper" class="section-wrapper section-wrapper-1" style="background-color: <?php echo esc_attr ( get_theme_mod('iapp_pagebgcolor_1', '#0FA2CB') ); ?>;background-color: <?php echo esc_attr ( iApp_hex2rgba ( get_theme_mod('iapp_pagebgcolor_1', '#61CAFF') , 0.6 ) ); ?>;">
			<div class="container">
				<?php if ( get_theme_mod('iapp_page_1') > 0 ): ?>
					<h1 class="h1 section-title"><?php echo esc_attr ( get_the_title( get_theme_mod('iapp_page_1') ) ); ?></h1>
					<?php $iapp_post = get_post( get_theme_mod('iapp_page_1') ); $iapp_content = apply_filters( 'the_content',$iapp_post->post_content); echo $iapp_content; ?>
				<?php else: ?>
					<?php echo $iapp_default_page_content; ?>
				<?php endif; ?>
			</div>
		</div>
	</section>
<?php endif; ?>

<?php if ( get_theme_mod('iapp_enable_2', 1) ):
	list($iapp_outclass,$iapp_inclass) = explode( '$', get_theme_mod('iapp_transition_2', 'pt-page-rotateFoldRight$pt-page-moveFromLeftFade') ); ?>
	<section id="<?php echo esc_attr ( sanitize_title(get_theme_mod('iapp_name_2','about')) ) ?>" class="section section-2" data-outclass="<?php echo esc_attr ( $iapp_outclass ); ?>" data-inclass="<?php echo esc_attr ( ( $iapp_inclass ) ); ?>" style="background-image: url(<?php echo esc_url( get_theme_mod('iapp_pagebgimage_2', get_template_directory_uri().'/images/background.jpg') ) ?>);">
		<div id="<?php echo esc_attr ( sanitize_title(get_theme_mod('iapp_name_2','about')) ) ?>-wrapper" class="section-wrapper section-wrapper-2" style="background-color: <?php echo esc_attr ( get_theme_mod('iapp_pagebgcolor_2', '#0FA2CB') ); ?>;background-color: <?php echo esc_attr ( iApp_hex2rgba ( get_theme_mod('iapp_pagebgcolor_2', '#61CAFF') , 0.6 ) ); ?>;">
			<div class="container">
				<?php if ( get_theme_mod('iapp_page_2') > 0 ): ?>
					<h1 class="h1 section-title"><?php echo esc_attr ( get_the_title( get_theme_mod('iapp_page_2') ) ); ?></h1>
					<?php $iapp_post = get_post( get_theme_mod('iapp_page_2') ); $iapp_content = apply_filters( 'the_content',$iapp_post->post_content); echo $iapp_content; ?>
				<?php else: ?>
					<?php echo $iapp_default_page_content; ?>
				<?php endif; ?>
			</div>
		</div>
	</section>
<?php endif; ?>

<?php if ( get_theme_mod('iapp_enable_3', 1) ):
	list($iapp_outclass,$iapp_inclass) = explode( '$', get_theme_mod('iapp_transition_3', 'pt-page-moveToBottom$pt-page-moveFromTop') ); ?>
	<section id="<?php echo esc_attr ( sanitize_title(get_theme_mod('iapp_name_3','team')) ) ?>" class="section section-3" data-outclass="<?php echo esc_attr ( $iapp_outclass ); ?>" data-inclass="<?php echo esc_attr ( ( $iapp_inclass ) ); ?>" style="background-image: url(<?php echo esc_url( get_theme_mod('iapp_pagebgimage_3', get_template_directory_uri().'/images/background.jpg') ) ?>);">
		<div id="<?php echo esc_attr ( sanitize_title(get_theme_mod('iapp_name_3','team')) ) ?>-wrapper" class="section-wrapper section-wrapper-3" style="background-color: <?php echo esc_attr ( get_theme_mod('iapp_pagebgcolor_3', '#0FA2CB') ); ?>;background-color: <?php echo esc_attr ( iApp_hex2rgba ( get_theme_mod('iapp_pagebgcolor_3', '#61CAFF') , 0.6 ) ); ?>;">
			<div class="container">
				<?php if ( get_theme_mod('iapp_page_3') > 0 ): ?>
					<h1 class="h1 section-title"><?php echo esc_attr ( get_the_title( get_theme_mod('iapp_page_3') ) ); ?></h1>
					<?php $iapp_post = get_post( get_theme_mod('iapp_page_3') ); $iapp_content = apply_filters( 'the_content',$iapp_post->post_content); echo $iapp_content; ?>
				<?php else: ?>
					<?php echo $iapp_default_page_content; ?>
				<?php endif; ?>
			</div>
		</div>
	</section>
<?php endif; ?>

<?php if ( get_theme_mod('iapp_enable_4', 1) ):
	list($iapp_outclass,$iapp_inclass) = explode( '$', get_theme_mod('iapp_transition_4', 'pt-page-moveToRight$pt-page-moveFromLeft') ); ?>
	<section id="<?php echo esc_attr ( sanitize_title(get_theme_mod('iapp_name_4','blog')) ) ?>" class="section section-4" data-outclass="<?php echo esc_attr ( $iapp_outclass ); ?>" data-inclass="<?php echo esc_attr ( ( $iapp_inclass ) ); ?>" style="background-image: url(<?php echo esc_url( get_theme_mod('iapp_pagebgimage_4', get_template_directory_uri().'/images/background.jpg') ) ?>);">
		<div id="<?php echo esc_attr ( sanitize_title(get_theme_mod('iapp_name_4','blog')) ) ?>-wrapper" class="section-wrapper section-wrapper-4" style="background-color: <?php echo esc_attr ( get_theme_mod('iapp_pagebgcolor_4', '#0FA2CB') ); ?>;background-color: <?php echo esc_attr ( iApp_hex2rgba ( get_theme_mod('iapp_pagebgcolor_4', '#61CAFF') , 0.6 ) ); ?>;">
			<div class="container">
				<?php if ( get_theme_mod('iapp_page_4') > 0 ): ?>
					<h1 class="h1 section-title"><?php echo esc_attr ( get_the_title( get_theme_mod('iapp_page_4') ) ); ?></h1>
					<?php $iapp_post = get_post( get_theme_mod('iapp_page_4') ); $iapp_content = apply_filters( 'the_content',$iapp_post->post_content); echo $iapp_content; ?>
				<?php else: ?>
					<?php echo $iapp_default_page_content; ?>
				<?php endif; ?>
			</div>
		</div>
	</section>
<?php endif; ?>

<?php get_footer(); ?>
