<?php

/***** Theme Info Page *****/



if (!function_exists('iApp_add_theme_info_page')) {
    function iApp_add_theme_info_page() {
        add_theme_page(__('Welcome to iApp', 'iapp'), __('Theme support', 'iapp'), 'edit_theme_options', 'ta-support', 'iApp_display_theme_info_page');
    }
}
add_action('admin_menu', 'iApp_add_theme_info_page');

if (!function_exists('iApp_display_theme_info_page')) {
    function iApp_display_theme_info_page() {
		$iapp_pro_link = "http://theme-art.com/iapp/";
        $theme_data = wp_get_theme(); ?>
        <div class="theme-info-wrap">
            <h1><?php printf(__('Welcome to %1s %2s', 'iapp'), esc_attr ( $theme_data->Name ), esc_attr ( $theme_data->Version ) ); ?></h1>
            <div class="theme-description"><?php echo esc_attr ( $theme_data->Description ); ?></div>
            <hr>
			<div class="theme-links clearfix">
				<p>
					<a href="<?php echo get_template_directory_uri(); ?>/documentation/index.html" target="_blank" class="button button-primary"><?php _e('Documentation', 'iapp'); ?></a>
					<a href="<?php echo admin_url('customize.php?return=themes.php?page=ta-support'); ?>" class="button button-primary"><?php _e('Theme Customizer', 'iapp'); ?></a>
					<a href="https://wordpress.org/support/view/theme-reviews/iApp?filter=5" target="_blank" class="button button-primary"><?php _e('Rate this theme', 'iapp'); ?></a>
				</p>
			</div>
			<hr>
            <div id="getting-started">
                <div class="row clearfix">
                    <div class="col col-1">
                        <div class="section">
						<h3><?php echo _e('Upgrade to iApp Pro', 'iapp'); ?></h3>
                            <p class="about"><?php _e('Need more features and options? Check out the Premium Version of this theme which comes with additional features and advanced Theme Options for your website.', 'iapp'); ?></p>
                            <p>
                                <a href="<?php echo $iapp_pro_link ?>" target="_blank" class="button button-primary"><?php _e('iApp Pro Demo', 'iapp'); ?></a>
                            </p>
							<a href="<?php echo $iapp_pro_link ?>" target="_blank"><img src="<?php echo get_template_directory_uri(); ?>/images/iapp-pro.png"></a>
                        </div>
                    </div>
                </div>
            </div>
        </div> <?php
    }
}

?>
